/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.security;

public class DefaultLevels implements SecLevels
{
  public static int newUser()
  {
    return GLOBAL_UNVERIFIED;

  } // end newUser

  public static int memberCommunity()
  {
    return COMM_MEMBER;

  } // end memberCommunity

  public static int PFY()
  {
    return GLOBAL_PFY;

  } // end PFY

  public static int afterEmailVerification()
  {
    return GLOBAL_NORMAL;

  } // end afterEmailVerification

  public static int afterEmailAddressChange()
  {
    return GLOBAL_UNVERIFIED;

  } // end afterEmailAddressChange

  public static int newCommunityRead()
  {
    return COMM_MEMBER;

  } // end newCommunityRead

  public static int newCommunityWrite()
  {
    return COMM_COHOST;

  } // end newCommunityWrite

  public static int newCommunityCreate()
  {
    return COMM_COHOST;

  } // end newCommunityCreate

  public static int newCommunityDelete()
  {
    return COMM_HOST;

  } // end newCommunityDelete

  public static int newCommunityJoin()
  {
    return GLOBAL_NORMAL;

  } // end newCommunityJoin

  public static int creatorCommunity()
  {
    return COMM_HOST;

  } // end creatorCommunity

  public static int hostPrivsConference()
  {
    return CONFERENCE_ANYADMIN;

  } // end hostPrivsConference

  public static int memberConference()
  {
    return CONFERENCE_MEMBER;

  } // end memberConference

  public static int hostConference()
  {
    return CONFERENCE_HOST;

  } // end hostConference

  public static int newConferenceRead(boolean pvt)
  {
    return (pvt ? CONFERENCE_MEMBER : COMM_MEMBER);

  } // end newConferenceRead

  public static int newConferencePost(boolean pvt)
  {
    return (pvt ? CONFERENCE_MEMBER : COMM_MEMBER);

  } // end newConferencePost

  public static int newConferenceCreate(boolean pvt)
  {
    return (pvt ? CONFERENCE_MEMBER : COMM_MEMBER);

  } // end newConferencePost

  public static int newConferenceHide()
  {
    return CONFERENCE_HOST;

  } // end newConferenceHide

  public static int newConferenceNuke()
  {
    return CONFERENCE_HOST;

  } // end newConferenceHide

  public static int newConferenceChange()
  {
    return CONFERENCE_HOST;

  } // end newConferenceHide

  public static int newConferenceDelete()
  {
    return COMM_COHOST;

  } // end newConferenceHide

} // end class DefaultLevels
