/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.servlets.format.menus;

import org.w3c.dom.*;
import com.silverwrist.util.*;
import com.silverwrist.venice.servlets.format.RenderData;

class AbsoluteLeftMenuItem extends LeftMenuItem
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  String url;

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  AbsoluteLeftMenuItem(Element elt)
  {
    super(elt);
    DOMElementHelper h = new DOMElementHelper(elt);
    url = h.getSubElementText("absolute");

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Overrides from class LeftMenuItem
   *--------------------------------------------------------------------------------
   */

  protected void appendURL(StringBuffer sbuf, RenderData rdat)
  {
    sbuf.append(url);

  } // end appendURL

} // end class AbsoluteLeftMenuItem
